Bug 38915 - Multiple soffice.bin soffice.exe
Summary: Multiple soffice.bin soffice.exe
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:6.0.0 target:6.1....
Keywords:
: 100668 (view as bug list)
Depends on:
Blocks: Desktop-Environment
  Show dependency treegraph
 
Reported: 2011-07-02 09:59 UTC by Joseph Conner
Modified: 2018-02-26 12:23 UTC (History)
19 users (show)

See Also:
Crash report or crash signature:


Attachments
dubbed instances (12.25 KB, image/png)
2016-03-03 13:41 UTC, Vasily Maryutenkov
Details
Backtrace (860 bytes, text/plain)
2018-01-19 23:24 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Conner 2011-07-02 09:59:40 UTC
Multiple instances of soffice.bin and soffice.exe are allowed.  They are not always properly closed when exiting LibreOffice.  This causes the launch of a new LibreOffice to fail, or perhaps take a super long time.  I opened the task manager and discovered six instances of soffice.bin and soffice.exe.  Killing an instance of soffice.bin resulted in another instance of its creation.  The necessary sequence to killing the multiple processes was to first kill soffice.exe then the soffice.bin was not regenerated.  After killing all soffice.exe and all soffice.bin instances, then starting LibreOffice occured normally.
Comment 1 Rainer Bielefeld Retired 2011-07-02 23:24:33 UTC
@Joseph Conner:
Please contribute compete information concerning your WIN.
I have been used to see that problem with WIN XP, but since I changed to WIN7 64 bit it seems that the problem has vanished.
Comment 2 Joseph Conner 2011-07-03 08:58:36 UTC
My OS:
Name : Microsoft Windows XP Professional|C:\WINDOWS|\Device\Harddisk0\Partition1
Description: WinXP
Manufacturer : Microsoft Corporation
Version : 5.1.2600
CSD Version : Service Pack 3
Windows Directory : C:\WINDOWS
System Directory : C:\WINDOWS\system32
System BootDevice : \Device\HarddiskVolume1
Total Virtual Memory : 2097024 KB
Total Visible Memory : 2031088 KB
Free Physical Memory : 558224 KB
Free Virtual Memory : 2056492 KB
Build Type : Uniprocessor Free
LastBootUpTime : 07 / 01 / 2011
Current Time Zone : Mountain Time (US & Canada) , Arizona
Install Date : 09 / 03 / 2007
SerialNumber : 55274-OEM-0015393-82121
Status : OK

My Computer Hardware:
Name : AMD Athlon(tm) 64 Processor 3200+
Description: x86 Family 15 Model 44 Stepping 2
Manufacturer : AuthenticAMD
Version : Model 12, Stepping 2
DataWidth : 32 Bits
Socket Designation : Socket 754
Type : Central Processor
CPU Id : 078BFBFF00020FC2
CPU Family : Unknown
CPU Stepping : 2
Load Percentage : 27 %
Max ClockSpeed : 2210 MHz
Current ClockSpeed : 2210 MHz
Voltage : 1.4 V
External Clock : 201 MHz
Upgrade Method : undefined
L2 Cache Size : 512 Kb
Display Availability : Running/Full Power
PowerManagement Supported : false
Status : OK

Name : Physical Memory
Memory Capacity : 8192MB
Memory BankLabel : Bank0/1
Memory TotalWidth : 64 Bits
DataWidth : 64 Bits
Memory DeviceLocator : A0
Memory Type : Unknown

Name : Physical Memory
Memory Capacity : 8192MB
Memory BankLabel : Bank2/3
Memory TotalWidth : 64 Bits
DataWidth : 64 Bits
Memory DeviceLocator : A1
Memory Type : Unknown

VIDEO:
Name : VIA/S3G UniChrome Pro IGP 
Display Availability : Running/Full Power
Video Mode : 1280 x 1024 x 4294967296 colors
Adapter DAC Type : Internal
Current Horizontal Resolution : 1280 Pixels
Current Vertical Resolution : 1024 Pixels
Current Number Of Colors : 4294967296
Adapter RAM : 64 MB
Current Refresh Rate : 60 Hertz
Video Processor : VIA/S3G UniChrome Pro IGP
Inf Filename : oem22.inf
Driver Version : 6.14.10.0364-22.00.01j
Monochrome : false
Installed Display Drivers : vtdisp.dll
Status : OK

BIOS:
Name : Phoenix - AwardBIOS v6.00PG
Manufacturer : Phoenix Technologies, LTD
Version : VIAK8M - 42302e31
SerialNumber : 
ReleaseDate : 01 / 20 / 2006
Target Operating System : Unknown
Language : n|US|iso8859-1
Status : OK

If you need anything additional please let me know and I will provide it.
Thank you.
Comment 3 werner 2011-08-03 06:56:15 UTC
I see the same problem on a Windows 7 64 bit machine.

[Résumé système]



Élément	Valeur	

Système d’exploitation	Microsoft Windows 7 Édition Familiale Premium	

Version	6.1.7601 Service Pack 1 Build 7601	

Informations supplémentaires 	Non disponible	

Éditeur	Microsoft Corporation	

Ordinateur	DESKTOP-CMH	

Fabricant	Dell Inc.	

Modèle	Inspiron 580	

Type	PC à base de x64	

Processeur	Intel(R) Core(TM) i3 CPU         550  @ 3.20GHz, 3200 MHz, 2 cœur(s), 4 processeur(s) logique(s)	

Version du BIOS/Date	Dell Inc. A07, 13/11/2010	

Version SMBIOS	2.6	

Répertoire Windows	C:\Windows	

Répertoire système	C:\Windows\system32	

Périphérique de démarrage	\Device\HarddiskVolume2	

Option régionale	France	

Couche d’abstraction matérielle	Version = "6.1.7601.17514"	

Utilisateur	DESKTOP-CMH\charmian	

Fuseaux horaires	Paris, Madrid (heure d’été)	

Mémoire physique (RAM) installée	4,00 Go	

Mémoire physique totale	3,87 Go	

Mémoire physique disponible	2,97 Go	

Mémoire virtuelle totale	20,9 Go	

Mémoire virtuelle disponible	18,8 Go	

Espace pour le fichier d’échange	17,0 Go	

Fichier d’échange	C:\pagefile.sys	




Let me know if I can provide additional information which might help to identify and correct this very annoying issue.
Comment 4 Joseph Conner 2011-09-13 12:58:10 UTC
Is anyone working on this?
Comment 5 Björn Michaelsen 2011-12-23 12:21:12 UTC Comment hidden (obsolete, spam)
Comment 6 Björn Michaelsen 2011-12-23 17:01:00 UTC
needinfo keyword redundant by needinfo status.
Comment 7 khagaroth 2012-04-14 15:32:03 UTC
I have seen this a lot with OOo 3.x (3.3 especially) and remember to see it happen a few times with LO 3.3 and early 3.4 versions, but it didn't happen to me lately, so it seems to be fixed by some changes in the later 3.4 and/or 3.5 versions.
Comment 8 Phillip Ross 2012-07-26 12:33:43 UTC
My wife and I both continue to have multiple instances of soffice.bin and soffice.exe whenever LibreOffice is NOT open and I double-click on a file from Windows Explorer that needs to be translated, i.e., .doc, .docx, .xls, .xlsx., .rtf, etc.

She has a Windows 7 laptop and I have a Windows 7 desktop. It doesn't seem to matter what else is open.

OS Name	Microsoft Windows 7 Home Premium
Version	6.1.7601 Service Pack 1 Build 7601
Other OS Description 	Not Available
OS Manufacturer	Microsoft Corporation
System Name	USER-PC
System Manufacturer	Gateway
System Model	DX4831
System Type	x64-based PC
Processor	Intel(R) Core(TM) i5 CPU         650  @ 3.20GHz, 3201 Mhz, 2 Core(s), 4 Logical Processor(s)
BIOS Version/Date	American Megatrends Inc. P01-A0, 11/17/2009
SMBIOS Version	2.6
Windows Directory	C:\windows
System Directory	C:\windows\system32
Boot Device	\Device\HarddiskVolume2
Locale	United States
Hardware Abstraction Layer	Version = "6.1.7601.17514"
User Name	user-PC\user
Time Zone	Eastern Daylight Time
Installed Physical Memory (RAM)	8.00 GB
Total Physical Memory	7.93 GB
Available Physical Memory	6.01 GB
Total Virtual Memory	15.9 GB
Available Virtual Memory	13.8 GB
Page File Space	7.93 GB
Page File	C:\pagefile.sys
Comment 9 Florian Reisinger 2012-08-14 13:57:41 UTC Comment hidden (obsolete, spam)
Comment 10 Florian Reisinger 2012-08-14 13:59:01 UTC Comment hidden (obsolete, spam)
Comment 11 Florian Reisinger 2012-08-14 14:03:33 UTC Comment hidden (obsolete, spam)
Comment 12 Florian Reisinger 2012-08-14 14:05:49 UTC Comment hidden (obsolete, spam)
Comment 13 Domingo Sacristan 2012-11-08 08:28:20 UTC
The problem persists, only after killing all soffice.exe and all soffice.bin instances over the Taskmanager starting LibreOffice again normally. It is difficult to reproducte this because there is no feedback why the first process is blocked or crashing. Frequently occur this if the quickstart is open
Comment 14 Rainer Bielefeld Retired 2012-11-08 08:38:14 UTC
@Joseph Conner
Please consider:
<http://wiki.documentfoundation.org/BugReport_Details#Version>

Please do not touch the dashboard without knowing for what the switch levers are ;-)
Comment 15 Arnaud Versini 2016-01-02 09:19:03 UTC
Confirmed on Windows 7 64 bits with LibreOffice 5.0.4.

Perhaps related to a bug on AOO on Windows.
Comment 16 Vasily Maryutenkov 2016-02-04 11:39:26 UTC
Please apply this patch https://bz.apache.org/ooo/show_bug.cgi?id=114963
Comment 17 Michael Meeks 2016-02-08 08:10:48 UTC
It is some interesting research from aptitude - in general, I'd suggest that someone clueful in this area (eg. Stephan) looks at his re-ordering of those two lines, and that we commit a smaller patch (with git there is no need for all that commenting in-line) - and credit aptitude for the insight in the commit msg text.
Comment 18 Vasily Maryutenkov 2016-03-03 13:41:54 UTC
Created attachment 123199 [details]
dubbed instances
Comment 19 Vasily Maryutenkov 2016-03-03 13:42:45 UTC
We use LO/OOo COM-object to import some excel files in our app. 
Maybe it causes the issue when using LO applications and COM-object at the same time?

But it is very diffucult to reproduce.

Also getting this issue on Win7 Home x64 LibreOffice 5.1.0.3 (JRE 7.65) and less versions.

Also note dubbed instances on Win7 Pro x86 LibreOffice 4.4 (no JRE) ~10 workstations.

I tried to reproduce the issue on Win7 Pro x64 LO 4.4 and 5.0.5 but there is no result(
Comment 20 bureautiquelibre 2016-09-26 14:20:07 UTC
*** Bug 100668 has been marked as a duplicate of this bug. ***
Comment 21 bureautiquelibre 2016-09-26 14:24:44 UTC
Hi,

We have this issue on a very frequent basis (rougly 40% of the hotline calls, that's around 100 calls a month for 5000 users).

It is present in version 5.0.3 and 5.1.5.2 (x64) on Windows.

It seems to occur every day on some machines and never on others,

Regards,
Eric Ficheux
Comment 22 bureautiquelibre 2016-09-26 14:26:02 UTC
BTW,

The bug I marked as duplicate has a link to a fix but for OpenOffice ...

Regards,
Eric Ficheux
Comment 23 Stephan Bergmann 2016-09-26 14:31:50 UTC
(In reply to Vasily Maryutenkov from comment #16)
> Please apply this patch https://bz.apache.org/ooo/show_bug.cgi?id=114963

included on master towards LO 5.3 as <https://cgit.freedesktop.org/libreoffice/core/commit/?id=74ac65c49cc1d53b1aa93c2b7c720255867aace2> "#i114963# Enable IPC before OpenClients to allow client connections when printing."
Comment 24 bureautiquelibre 2016-09-26 14:40:53 UTC
Thx Stephan,

Do you know if there will be a port to branch 5.2?

Regards,
Eric Ficheux
Comment 25 V Stuart Foote 2016-09-26 15:25:40 UTC
This patch to Enable IPC thread before OpenClients needs functional testing before a backport to 5.2

https://cgit.freedesktop.org/libreoffice/core/commit/?id=74ac65c49cc1d53b1aa93c2b7c720255867aace2

#i114963# Enable IPC before OpenClients to allow client connections when printing.
Patch By: aptitude@btconnect.com

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 bureautiquelibre 2016-09-27 09:43:32 UTC
Hi,

I plan to test the fix in the development build this week with a few users that report having the problem everyday.

I'll give feedback about the results.

Can this help with functional testing?

Regards,
Eric Ficheux
Comment 27 bureautiquelibre 2016-09-29 12:28:56 UTC
Hi,

I got new information from my users: version 5.1.5 significantly decreases the problem frequency (no new reports from 30 upgraded users), which is unexpected since there is no report of the bug being fixed on 5.1.5 ...

The previous user reports I got were about version 5.0.3 freezing but users mistakenly reported being on version 5.1.5

Regards,
Eric Ficheux
Comment 28 Xisco Faulí 2017-01-13 12:44:22 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 29 Joseph Conner 2017-01-13 19:51:00 UTC
I upgraded my operating system from windows to Ubuntu Linux and I use LibreOffice 5.2.3. I cannot therefore validate the existence or non existence of the problem of multiple instances of soffice.exe since that is a windows executable. 

So if someone still using windows wants to close it as "works for me" or some such, have at it.
Comment 30 Dieter Praas 2017-01-13 19:58:36 UTC
It happend to me only once or twice with the 5.2 branch (Win 10 64 Bit). So the frequency decreased but the bug still seems to be there.

Kind regards
Dieter
Comment 31 Ramiro Pereira de Magalhães 2017-02-14 20:34:48 UTC
Hi,

I can confirm that this bug is present in version 5.3.0.3 (compilation ID 7074905676c47b82bbcfbea1aeefc84afe1c50e1) running in a Windows 7 enterprise 64 bits.
Comment 32 Chris Sherlock 2017-03-11 06:33:02 UTC
I have a feeling it is the way we call on TerminateProcess in OSL. I'm wondering if this might be fixed in my proposed patch I reference in bug 106489 and that I've submitted the following proposed patch on gerrit: https://gerrit.libreoffice.org/#/c/35071/
Comment 33 Evgeny 2017-03-24 07:56:12 UTC
Hello.
I have this issue too on w2k8r2 terminal servers and LO 5.3.0.3
User need to manually close LO processes to get it working.

Is there some recommendations on how to collect more info in case of having this problem? I mean something to do when i already have this happened.
I can not run tools like process monitor on my terminal servers to catch the moment of problem happened.
Maybe some instructions  for using debugger if it can help?
Comment 34 Mike Kaganski 2017-07-15 09:51:41 UTC
My suspicion is that application keeps waiting for a message to arrive in its windows message loop. Specifically, in GetMessageW() inside ImplSalYield() (see http://opengrok.libreoffice.org/xref/core/vcl/win/app/salinst.cxx#585).

A patch is in gerrit: https://gerrit.libreoffice.org/39996

To check if this is true, one may try sending any message to any window (they are hidden at that moment) of the hung process, using something like StefanTools' SendMessage (http://stefanstools.sourceforge.net/SendMessage.html). If I'm right, then this should make the process close normally. However, I'm not sure that fixing this specific point is total solution, because there might be other waiting points in the code.
Comment 35 Commit Notification 2017-07-15 21:49:42 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f054b9187155bc32b7d06808aea87127cb0a3a4f

tdf#38915: don't wait on message queue if application already has quit.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 soend 2017-07-20 06:50:26 UTC
I tried the latest 6.0 dev build from daily builds but the problem still exists. Before closing hanging soffice.exe 's the new instance wont do anything.
Comment 37 Mike Kaganski 2017-07-20 06:56:09 UTC
I asked to test the hanging issue. Please use some application to *post* any message to any window (of classes SALFRAME or SALCOMWND) of hung soffice.bin, and see if that resolves it (it should wake up, process the message and close itself successfully). If it is so, then it's fruitful to look for such loops and resolve them one by one. If not, then the problem is in another place.

Without active user help (aside from simple tests if current nightly works) it's *extremely* difficult to solve issues like this.

Btw: from comment 36, it looks like soend has some reliable reproducing steps? If so, then please share them as detailed as possible.
Comment 38 Aron Budea 2018-01-19 23:24:07 UTC
Created attachment 139228 [details]
Backtrace

Found a straightforward case of this with the following steps:
- Kill a running soffice.bin, so the document recovery is started next time.
- Start soffice twice.

=> First time the document recovery dialog comes up, but with the second a new process is started, and it remains as a zombie even after you move on with the document recovery and eventually exit the application.

Attaching backtrace.
Comment 39 Aron Budea 2018-01-21 23:17:34 UTC
(In reply to Aron Budea from comment #38)
> Found a straightforward case of this with the following steps:
> - Kill a running soffice.bin, so the document recovery is started next time.
> - Start soffice twice.
A correction here, the second time it's important to start one of the applications, otherwise then start center will open "normally" (it's not the expected behavior, though).

Revised steps:
- Kill a running soffice.bin, so the document recovery is started next time.
- Start soffice, note the document recovery.
- Start any of the applications, eg. soffice --writer.
Comment 40 Commit Notification 2018-01-22 06:48:14 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf333a878ceed18d0343520a2c65be69fc433b1f

tdf#38915: set cProcessed condition on any process outcome

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2018-01-23 20:22:58 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30f07eb1d412fd53da70f350322034aae5b9c561&h=libreoffice-6-0

tdf#38915: set cProcessed condition on any process outcome

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Xisco Faulí 2018-02-26 11:44:01 UTC
A polite ping to Mike Kaganski: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 43 Mike Kaganski 2018-02-26 12:23:05 UTC
(In reply to Xisco Faulí from comment #42)

Well... let's call this heizenbug fixed :) - we can only be sure when there's no duplicates for newer versions.